eoElitism(3)

NAME
eoElitism - Straightforward elitism class, specify the number of individuals to copy into new geneneration or the rate w.r.t.

SYNOPSIS

#include <eoMerge.h>

Inherits eoMerge< EOT >.

Inherited by eoNoElitism< EOT >.

  Public Member Functions
eoElitism (double _rate, bool _interpret_as_rate=true)
void operator() (const eoPop< EOT > &_pop, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
double rate
unsigned combien

Detailed Description

  template<class EOT> class eoElitism< EOT >
Straightforward elitism class, specify the number of individuals to copy into new geneneration or the rate w.r.t. pop size

Definition at line 55 of file eoMerge.h.

Author

Generated automatically by Doxygen for EO from the source code.